Não consigo instalar um pacote .deb

1. Não consigo instalar um pacote .deb

Ycaro Bruno Souza Sales
yKru

(usa Ubuntu)

Enviado em 11/10/2022 - 12:24h

Opa pessoal eu to com um problema no meu ubuntu a uns dias e eu não to conseguindo resolver de jeito nenhum
eu fui atualizar o meu neovim para a versão 0.8.0 mas só dava pra atualizar usando o .deb, ai quando eu fui instalar o arquivo usando o sudo apt install, ele ficava dando erro com o dpkg, ai eu tentei instalar o gdebi para ver se resolvia e não deu certo, ele continua dando o seguinte erro:
(Lendo banco de dados ... 240291 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../Documentos/nvim-linux64.deb ...
A descompactar neovim (0.8.0) ...
dpkg: erro ao processar o arquivo /home/ycaro/Documentos/nvim-linux64.deb (--install):
a tentar sobre-escrever '/usr/share/applications/nvim.desktop', que também está no pacote neovim-runtime 0.7.2-3~bpo22.04.1~ppa1
dpkg-deb: erro: o subprocesso colar foi morto pelo sinal (Pipe quebrado)
A processar 'triggers' para mailcap (3.70+nmu1ubuntu1) ...
A processar 'triggers' para gnome-menus (3.36.0-1ubuntu3) ...
A processar 'triggers' para desktop-file-utils (0.26-1ubuntu3) ...
Erros foram encontrados durante o processamento de:
/home/ycaro/Documentos/nvim-linux64.deb


o que eu posso fazer pra resolver isso? eu ja tentei deletar esse /usr/share/applications/nvim.desktop mas continua dando esse mesmo erro mesmo depois de eu deletar o arquivo




  


2. Re: Não consigo instalar um pacote .deb

Xerxes
xerxeslins

(usa Puppy Linux)

Enviado em 11/10/2022 - 16:29h


Já tentou pelo AppImage?

$ curl -LO https://github.com/neovim/neovim/releases/latest/download/nvim.appimage
$ chmod u+x nvim.appimage
$ ./nvim.appimage


--
Chega uma hora na vida que você só quer bater o prego e não perder tempo estudando a ciência da construção de um martelo.







Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts